Bug 38197 - Possibility to manage "/home/backups"
Possibility to manage "/home/backups"
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Documentation
UCS@school 4.0
Other Linux
: P5 enhancement (vote)
: UCS@school 4.0 R2
Assigned To: Florian Best
Sönke Schwardt-Krummrich
http://sdb.univention.de/1326
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-03 13:57 CEST by Michael Grandjean
Modified: 2015-05-11 19:24 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional): External feedback, Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grandjean univentionstaff 2015-04-03 13:57:59 CEST
When I delete users, a UCS@school listener module moves the home directories of these users into a backup directory ( /home/backups/... ). This is also true for exam users.
UCS@school workshop attendees wanted a possibility to access and manage this backup directory more easily - right now this is only possible via CLI and with root priviliges. There's the fear that this feature might eat up too much disk space or add up to a quota that is applied to /home. At least the role "school admin" should be able to remove these backups.

Incomplete list of possibilities:
- A UMC module that provides access to the directory and allows restore and deletion
- A checkbox during CSV-Import that removes also the home directory of users that are deleted (instead of moving them to the backup folder)
- A description on how to set up a restricted file share to /home/backups so that a school admin could delete unwanted folders via a client computer
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2015-04-09 10:33:08 CEST
(In reply to Michael Grandjean from comment #0)
> When I delete users, a UCS@school listener module moves the home directories
> of these users into a backup directory ( /home/backups/... ). This is also
> true for exam users.
> UCS@school workshop attendees wanted a possibility to access and manage this
> backup directory more easily - right now this is only possible via CLI and
> with root priviliges. There's the fear that this feature might eat up too
> much disk space or add up to a quota that is applied to /home. At least the
> role "school admin" should be able to remove these backups.
> 
> Incomplete list of possibilities:
> - A UMC module that provides access to the directory and allows restore and
> deletion
> - A checkbox during CSV-Import that removes also the home directory of users
> that are deleted (instead of moving them to the backup folder)
> - A description on how to set up a restricted file share to /home/backups so
> that a school admin could delete unwanted folders via a client computer

Permanent deactivation of the automatic backup:
# ucr unset ucsschool/listener/oldhomedir/targetdir
# invoke-rc.d univention-directory-listener restart

Similar to the role shares for accessing the students directories by teachers it is also possible to create a special share for schooladmins to gain access to /home/backup/...:
Create a new samba share for /home/backup and define the following custom samba setting: admin users=@admins-$OU

I think we should add the latter one as default to UCS@school.
Comment 2 Florian Best univentionstaff 2015-04-23 12:38:00 CEST
We decided to mention this in the documentation instead of adding a default share.
Comment 3 Florian Best univentionstaff 2015-05-04 20:35:17 CEST
I added a paragraph.
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-05-04 23:08:29 CEST
Made some changes to the text and moved it to SDB.
Comment 5 Florian Best univentionstaff 2015-05-05 10:46:42 CEST
OK: http://sdb.univention.de/1326
Comment 6 Florian Best univentionstaff 2015-05-05 10:54:52 CEST
When executing the following warning occurs:
WARNING: No attribute with name 'user' in this module, value not set.

I replaced --user with --owner.
Comment 7 Florian Best univentionstaff 2015-05-11 19:24:49 CEST
UCS@school 4.0 R2 v1 has been released:
http://docs.univention.de/release-notes-ucsschool-4.0R2v1-de.html

If this error occurs again, please use "Clone This Bug".